#include <bits/stdc++.h>
using namespace std;
    pair<long long, long long> A[2000];
    long long mod(long long x){
        if(x<0)return -x;
        return x;
    }
int main (){
ios_base::sync_with_stdio();
cin.tie(0);
cout.tie(0);
    long long n;
    cin >> n;
    long long i, max_l=0, t, j;
    for (i=0; i<n; i++){
        cin >> A[i].first >> A[i].second;
    }
    for (i=0; i<n-1; i++){
        for (j=i+1; j<n; j++){
            t=mod(A[i].first-A[j].first)+mod(A[i].second-A[j].second);
            if (t>max_l){
                max_l=t;
            }
        }
    }
    cout << max_l << endl;
return 0;
}
